import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import Axis from './axis';

const Component: Meta<typeof Axis> = {
  title: 'Components/Selectors/axis',
  component: Axis,
  argTypes: { onChange: { action: 'changed' } },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;

type Story = StoryObj<typeof Component>;

export const AxisStory: Story = (args: any) => {
  const [value, setValue] = useState<string>('');
  return <Axis {...args} marking={value} onChange={setValue} />;
};

AxisStory.args = {};
