// All database related API calls

import { SchemaFromBackend } from '../../schema';
import { Broker } from './broker';

export function wsSchemaRequest(saveStateID: string) {
  Broker.instance().sendMessage({
    key: 'schema',
    subKey: 'get',
    body: {
      cached: false,
      saveStateID: saveStateID,
    },
  });
}
type SchemaResponse = (data: SchemaFromBackend) => void;
export function wsSchemaSubscription(callback: SchemaResponse) {
  const id = Broker.instance().subscribe(callback, 'schema_result');
  return () => {
    Broker.instance().unSubscribe('schema_result', id);
  };
}
